
Infrastructure - Task #5331

Story # 6055 (Closed): Refactor d1_log_aggregation for single master CN mode (i.e. active/passive)

Remove Hazelcast dependency from Log Aggregation processing

2014-05-23 16:13 - Peter Slaughter

Status: Closed Start date: 2014-05-23

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-1.4 Story Points:  

Product Version: *   

Description

The Hazelcast  disconnected network "split brain" syndrome can cause corruption/duplication of the Solr index

that is created by log aggregation. The log aggregation processing will be refactored to remove this dependency

on Hazelcast.

Associated revisions

Revision 15136 - 2015-02-04 00:32 - Peter Slaughter

Move log aggregation single master CN code changes from trunk to LOG_AGGREGATION_v1.4 branch. refs #5331

Revision 15156 - 2015-02-05 22:01 - Peter Slaughter

Add beans needed by log aggregation for hazelcast distributed processing. refs #5331

Revision 15156 - 2015-02-05 22:01 - Peter Slaughter

Add beans needed by log aggregation for hazelcast distributed processing. refs #5331

History

#1 - 2014-05-29 16:28 - Peter Slaughter

- Status changed from New to In Progress

#2 - 2014-07-08 14:52 - Peter Slaughter

- Target version deleted (2014.24-Block.3.4)

#3 - 2014-07-09 17:36 - Peter Slaughter

- Target version deleted (2014.24-Block.3.4)

- Target version changed from 2014.20-Block.3.2 to 2014.24-Block.3.4

- Parent task set to #5533

- Milestone changed from CCI-1.3 to CCI-1.4

Moved to CCI 1.4

#4 - 2014-07-09 17:38 - Peter Slaughter

- Parent task deleted (#5533)

add to cci 1.4 as related task

#5 - 2014-07-31 22:25 - Robert Waltz

- Product Version changed from * to 1.4.0
#6 - 2014-08-20 16:48 - Peter Slaughter

- Target version set to 2014.30-Block.4.3

#7 - 2014-08-20 16:48 - Peter Slaughter

- Target version set to 2014.30-Block.4.3

- Parent task set to #6055

#8 - 2014-08-20 16:48 - Peter Slaughter

- % Done changed from 0 to 90

#9 - 2014-09-04 02:01 - Robert Waltz

- Product Version changed from 1.4.0 to *

#10 - 2014-09-24 18:12 - Robert Waltz

- Target version changed from 2014.30-Block.4.3 to CCI-1.5.0

#11 - 2014-10-01 19:28 - Robert Waltz

- Assignee changed from Peter Slaughter to Robert Waltz

#12 - 2014-10-02 19:32 - Robert Waltz

- Target version changed from CCI-1.5.0 to CCI-1.5.1

#13 - 2015-01-06 18:34 - Robert Waltz

- Target version changed from CCI-1.5.1 to CCI-2.0.0

#14 - 2015-01-06 18:47 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.1.0

#15 - 2015-10-15 19:47 - Robert Waltz

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 90 to 100

- Status changed from In Progress to Closed
